

{# Filters #}
.events-listing__filters{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  gap: 1.5rem;
  margin-bottom: 3rem;
}

.events-listing__dropdown{
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1rem;
  flex: 1;
}

.events-listing__filters-label {
  flex: 0 0 auto;
  font-weight: 500;
  margin: 0 0 0.5em;
}

.events-listing__filter > div:not(.events-listing__filters-label),
.events-listing__search{
  position: relative;
  background-color: #F0F0F0;
  padding: 1rem;
  border-radius: 24px;
}

.events-listing__filter{
  position: relative;
  /* min-width: 300px; */
  flex: 1;
}

.events-listing__filter label{
  position: relative;
}

.events-listing__filter input{
  position: absolute;
  top: 0;
  left: 0;
  cursor: pointer;
  width: 100%;
  height: 100%;
  opacity: 0;
}

.events-listing__filter ul{
  position: absolute;
  z-index: 10;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  width: 100%;
  padding: 1rem;
  margin: 0;
  list-style: none;
  background-color: #fff;
  border-radius: 24px;
}

.events-listing__filter ul li{
  cursor: pointer;
}

.events-listing__filter ul li:hover,
.events-listing__filter ul li.active{
  color: var(--primary-color);
}

.events-listing__filter:has(input[type="checkbox"]:checked) ul{
  opacity: 1;
  max-height: 10000px;
  transition: all 0.2s ease-out;
}

.events-listing__filter:not(:has(input[type="checkbox"]:checked)) ul{
  opacity: 0;
  max-height: 0px;
  overflow: hidden;
  transition: all 0.2s ease-out;
}

.events-listing__search-wrapper{
  position: relative;
  flex: 0 0 384px;
}

.events-listing__search input{
  border: 0;
  outline: 0;
  background-color: transparent;
  /* min-width: 384px; */
  width: 100%;
}

.events-listing__search span,
.events-listing__filter span:last-of-type{
  position: absolute;
  top: 50%;
  right: 1rem;
  transform: translateY(-50%);
}

.events-listing .isotope-pager{
  padding: 0;
}

.events-listing .isotope-pager a,
.events-listing .isotope-pager svg{
  width: 2rem;
  aspect-ratio: 1;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  line-height: 0;
  color: var(--dark-color);
  fill: var(--dark-color);
}

.events-listing .isotope-pager a.active,
.events-listing .isotope-pager a:not(:has(svg)):hover{
  color: #fff;
  background-color: var(--primary-color);
  border-radius: 0;
  transition: all 0.2s ease-out;
}

@media screen and (max-width: 767px){
  .events-listing__filters{
    flex-direction: column;
  }

  .events-listing__dropdown{
    width: 100%;
  }

  .events-listing__dropdown > div:not(.events-listing__filter){
    min-width: max-content;
  }

  .events-listing__filter,
  .events-listing__search-wrapper{
    min-width: auto;
    width: 100%;
  }

  .events-listing__search input{
    min-width: 100%;
  }

  .events-listing .isotope-pager a,
  .events-listing .isotope-pager svg{
    width: 1.5rem;
    font-size: 0.75rem;
    margin-left: 0.25rem;
  }
}

{# Section #}
.events-listing__listing{
  display: grid;
  height: auto !important;
}

.events-listing__listing:not(.basic){
  margin: 3rem 0 4rem 0;
}

{# Events Card #}
.event{
  position: relative !important;
  top: 0 !important;
  left: 0 !important;
  height: fit-content !important;
  /* Card Styles */
  box-shadow: 0 33px 32px rgba(29, 66, 138, .15);
  border-radius: 24px;
  background: #fff;
  overflow: hidden;
}

.event img{
  width: 100%;
  object-fit: cover;
  object-position: center;
}

.event__content{
  margin-top: 1.25rem;
  padding: 0 1.25rem;
}

.event__content > span{
  font-size: 1rem;
  line-height: 1.5;
  color: var(--primary-color);
}

.event__content > h4{
  font-size: 1.25rem;
  font-weight: 500;
  line-height: 1.4;
  margin-bottom: 0.25rem;
}

.event__content > p{
  line-height: 1.5;
  margin-bottom: 0;
}

.event__content > h4,
.event__content > p{
  color: var(--dark-color);
}

.event__datetime{
  display: flex;
  justify-content: flex-start;
  flex-wrap: wrap;
  gap: 0.4rem;
  font-size: 0.9rem;
}
.event__datetime.col {
  flex-direction: column;
  align-items: flex-start;
}
.event__datetime.row {
  flex-direction: row;
  align-items: center;
}

.event__datetime.row > div:first-of-type{
  text-wrap: auto;
}

.event__datetime.basic,
.event__datetime.basic > div{
  display: inline;
}

.event__links{
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1.5rem;
  margin-top: 1rem;
  justify-content: space-between;
  padding: 0 1.25rem 1.25rem;
}

.event__links > a{
  text-decoration: underline;
  text-underline-offset: 4px;
}

@media screen and (max-width: 767px){
  .events-listing__listing{
    grid-template-columns: 1fr;
  }

  .event__datetime > div:first-of-type{
    text-wrap: auto;
  }
  
  .event .event__content {
    height: auto !important;
  }
  
  .events-listing__search-wrapper {
    flex: 1;
  }
}

#first.pagination-arrow,
#last.pagination-arrow {
  display: flex;
}

#first.pagination-arrow svg,
#last.pagination-arrow svg {
  width: 10px;
}

.event .thumbnail {
  position: relative;
}

.event .thumbnail .tags {
  position: absolute;
  top: 0.75em;
  left: 0.75em;
  right: 0.75em;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 0.375em;
}

.event .thumbnail .tags .tag,
.event .register-button {
  border-radius: 6px;
  padding: 6px 12px;
  line-height: 1;
  color: #fff;
  font-size: 12px;
  text-decoration: none;
  flex: 0 0 auto;
}

#noResultsContainer {
  display: none;
  text-align: center;
}